Bug 11237 - sharesec output no longer matches input format
sharesec output no longer matches input format
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.2.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-24 18:36 UTC by Christof Schmitt
Modified: 2015-05-05 18:47 UTC (History)
1 user (show)

See Also:


Attachments
Patches for 4.2 (53.43 KB, patch)
2015-04-27 18:21 UTC, Christof Schmitt
cs: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2015-04-24 18:36:22 UTC
commit 4a9d64e37a72cd1384c1e8db54532b8e850715cd
Author: David Disseldorp <ddiss@samba.org>
Date:   Mon May 26 14:38:24 2014 +0200

    sharesec: use NDR security descriptor print fns

    Signed-off-by: David Disseldorp <ddiss@samba.org>
    Reviewed-by: Jeremy Allison <jra@samba.org>
    Reviewed-by: Volker Lendecke <vl@samba.org>

changed the output format of sharesec. It no longer matches the input format:

# sharesec test -a S-1-5-21-1866488690-1365729215-3963860297-17724:ALLOWED/0/FULL
# sharesec test -v
    : struct security_descriptor
        revision                 : SECURITY_DESCRIPTOR_REVISION_1 (1)
        type                     : 0x8004 (32772)
               0: SEC_DESC_OWNER_DEFAULTED
               0: SEC_DESC_GROUP_DEFAULTED
               1: SEC_DESC_DACL_PRESENT
               0: SEC_DESC_DACL_DEFAULTED
               0: SEC_DESC_SACL_PRESENT
               0: SEC_DESC_SACL_DEFAULTED
               0: SEC_DESC_DACL_TRUSTED
...
Comment 1 Christof Schmitt 2015-04-27 18:21:19 UTC
Created attachment 10992 [details]
Patches for 4.2

Patches for 4.2. The change was only introduced for 4.2, so only a backport
to 4.2 is required.
Comment 2 Jeremy Allison 2015-04-27 19:58:39 UTC
Re-assigning to Karolin for inclusion in 4.2.next.
Comment 3 Karolin Seeger 2015-05-04 18:49:15 UTC
Pushed to autobuild-v4-2-test.
Comment 4 Karolin Seeger 2015-05-05 18:47:17 UTC
Pushed to v4-2-test.
Closing out bug report.

Thanks!